# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    bin_name = glob.glob("qbittorrent_*_x64_setup.exe")[0]
    install_exe_if_needed(
        bin_name,
        silentflags="/S",
        key="qBittorrent",
        min_version=control.get_software_version(),
        timeout=600,
    )


def session_setup():
    print("Disabling: automatic updates")

    user_conf_dir = makepath(user_appdata(), "qBittorrent")
    user_conf_file = makepath(user_conf_dir, "qBittorrent.ini")
    updateCheck_status = inifile_readstring(user_conf_file, "Preferences", r"Advanced\updateCheck")

    if updateCheck_status != "false":
        if isrunning("qBittorrent"):
            killalltasks("qBittorrent")
            # error("qBittorrent is currently running")

        print("Creating qBittorrent folder in : %s" % user_conf_dir)
        mkdirs(user_conf_dir)

        print("Checking/Updating qBittorrent updateCheck status")
        inifile_writestring(user_conf_file, "Preferences", r"Advanced\updateCheck", "false")
    else:
        print("Automatic update is already disabled")
